apiVersion: v1
kind: Route
metadata:
  labels:
    name: svc1
    f5type: systest
  name: svc1-route-reencrypt
  annotations:
    # Validate the server-side SSL connection.
    virtual-server.f5.com/secure-serverssl: "true"
spec:
  host: svc1-reencrypt-route.local
  path: "/test"
  port:
    targetPort: 443
  tls:
    certificate: |
      -----BEGIN CERTIFICATE-----
      -----END CERTIFICATE-----
    key: |
      -----BEGIN PRIVATE KEY-----
      -----END PRIVATE KEY-----
    destinationCACertificate: |
      -----BEGIN CERTIFICATE-----
      -----END CERTIFICATE-----
    termination: reencrypt
  to:
    kind: Service
    name: svc1
    weight: 100
